# Recurrence Policies

## GraphQL partial SDLs

This is a graphql reference page. In the llms.txt variant, those components link to the shared partial SDL key list instead of trying to resolve inline GraphQL reference content.

Fetch all available partial SDL keys first:

```text
GET https://docs.commercetools.com/apis/rest/content/by-id?id=ctp:gql-sphere:returnTypesList
```

Then fetch the one or more relevant partial SDL with a key from that list by calling the same endpoint with a schema ID:

```text
GET https://docs.commercetools.com/apis/rest/content/by-id?id=ctp:gql-sphere:schema:<key>
```

The response body is a JSON object keyed by the requested content ID. For example, the key-list request returns a `ctp:gql-sphere:returnTypesList` field and a schema request returns a `ctp:gql-sphere:schema:<key>` field.

**Queries and mutations for managing Recurrence Policies in the platform.**

## Queries

### Query Recurrence Policies

[fetch SDL for query recurrencePolicies](#graphql-partial-sdls).

### Get Recurrence Policy

[fetch SDL for query recurrencePolicy](#graphql-partial-sdls).

## Mutations

### Create Recurrence Policy

[fetch SDL for mutation createRecurrencePolicy](#graphql-partial-sdls).

### Update Recurrence Policy

[fetch SDL for mutation updateRecurrencePolicy](#graphql-partial-sdls).

### Delete Recurrence Policy

[fetch SDL for mutation deleteRecurrencePolicy](#graphql-partial-sdls).

## Output types

### RecurrencePolicy

[fetch SDL for type RecurrencePolicy](#graphql-partial-sdls).

### RecurrencePolicyQueryResult

[fetch SDL for type RecurrencePolicyQueryResult](#graphql-partial-sdls).

#### RecurrencePolicySchedule

[fetch SDL for type RecurrencePolicySchedule](#graphql-partial-sdls).

##### StandardSchedule

[fetch SDL for type StandardSchedule](#graphql-partial-sdls).

##### DayOfMonthSchedule

[fetch SDL for type DayOfMonthSchedule](#graphql-partial-sdls).

##### IntervalUnit

[fetch SDL for type IntervalUnit](#graphql-partial-sdls).

## Input types

### RecurrencePolicyDraft

[fetch SDL for type RecurrencePolicyDraft](#graphql-partial-sdls).

#### RecurrencePolicyScheduleInput

[fetch SDL for type RecurrencePolicyScheduleInput](#graphql-partial-sdls).

##### StandardScheduleInput

[fetch SDL for type StandardScheduleInput](#graphql-partial-sdls).

##### DayOfMonthScheduleInput

[fetch SDL for type DayOfMonthScheduleInput](#graphql-partial-sdls).

### RecurrencePolicyUpdateAction

[fetch SDL for type RecurrencePolicyUpdateAction](#graphql-partial-sdls).

### Update actions

#### Set Description

[fetch SDL for type SetRecurrencePolicyDescription](#graphql-partial-sdls).

#### Set Key

[fetch SDL for type SetRecurrencePolicyKey](#graphql-partial-sdls).

#### Set Min Days Between Orders

[fetch SDL for type SetRecurrencePolicyMinDaysBetweenOrders](#graphql-partial-sdls).

#### Set Name

[fetch SDL for type SetRecurrencePolicyName](#graphql-partial-sdls).

#### Set Schedule

[fetch SDL for type SetRecurrencePolicySchedule](#graphql-partial-sdls).

## Related pages

- [Search documentation and API specs](/search.md)